Summary: IBM Point of Sale Subsystem for Linux
Name: ibmposs-2_6
Version: 3.1.0
Release: 44
Copyright: (c)Copyright International Business Machines Corporation 2001,2005. All rights reserved.
Vendor: International Business Machines Corporation
URL: http://www.ibm.com/solutions/retail/store
Group: System Environment/Libraries
Source: %{name}-%{version}-%{release}.tgz
%description 
The IBM Point of Sale Subsystem provides a C API for accessing IBM Point-of-Sale I/O devices.

%prep 

%build

%install

%clean

%post

ETCDIR=/etc/init.d
if [ -h ${ETCDIR} ]; then
	ETCDIR=/etc/rc.d/init.d
fi
cp /usr/share/pos/aipstart ${ETCDIR}

if [ -x /sbin/insserv ]; then
	/sbin/insserv ${ETCDIR}/aipstart
elif [ -x /sbin/chkconfig ]; then
	/sbin/chkconfig --add aipstart
fi

if test $? -ne 0 ; then
	echo "Could not install aipstart service."
	echo "Make sure to correct the error and run insserv aipstart"
fi

%preun

%postun
rm -f /var/log/aipctrl.log
rm -f /var/log/aipctrl.log.*
rm -f /var/log/aipanpos.log
rm -f /var/log/aipdebug.log
rm -f /var/log/aiptrace.log

ETCDIR=/etc/init.d
if [ -h ${ETCDIR} ]; then
	ETCDIR=/etc/rc.d/init.d
fi

if [ -x /sbin/insserv ]; then
	/sbin/insserv -r ${ETCDIR}/aipstart
elif [ -x /sbin/chkconfig ]; then
	/sbin/chkconfig --del aipstart
fi
rm -f ${ETCDIR}/aipstart

if test $? -ne 0 ; then
	echo "Could not uninstall aipstart service."
fi

%files
%defattr(-, root, root)
%config /etc/aipsys.res
%config /etc/aipsys.conf
%config /etc/aiptstr.res
%docdir /usr/doc/pos
/usr/bin/*
/usr/doc/pos/*
/usr/include/pos/*
/usr/lib/*
/var/lib/misc/*
/usr/sbin/*
/usr/share/pos/*
